Package org.eclipse.ui.keys

## Class CharacterKey

- java.lang.Object
- - org.eclipse.ui.keys.Key
  - - org.eclipse.ui.keys.NaturalKey
    - - org.eclipse.ui.keys.CharacterKey

All Implemented Interfaces:
  `Comparable`

    @Deprecated
    public final class CharacterKey
    extends NaturalKey

Deprecated.
Please use org.eclipse.jface.bindings.keys.KeyStroke and org.eclipse.jface.bindings.keys.KeyLookupFactory

Instances of `CharacterKey` represent keys on the keyboard which represent unicode characters.

`CharacterKey` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.0

### Field Summary

Fields
`static CharacterKey` `BS` Deprecated. The single static instance of `CharacterKey` which represents the backspace key (U+0008).
`static CharacterKey` `CR` Deprecated. The single static instance of `CharacterKey` which represents the carriage return (U+000D) key
`static CharacterKey` `DEL` Deprecated. The single static instance of `CharacterKey` which represents the delete (U+007F) key.
`static CharacterKey` `ESC` Deprecated. The single static instance of `CharacterKey` which represents the escape (U+001B) key.
`static CharacterKey` `FF` Deprecated. The single static instance of `CharacterKey` which represents the form feed (U+000C) key.
`static CharacterKey` `LF` Deprecated. The single static instance of `CharacterKey` which represents the line feed (U+000A) key.
`static CharacterKey` `NUL` Deprecated. The single static instance of `CharacterKey` which represents the null (U+0000) key.
`static CharacterKey` `SPACE` Deprecated. The single static instance of `CharacterKey` which represents the space (U+0020) key.
`static CharacterKey` `TAB` Deprecated. The single static instance of `CharacterKey` which represents the tab (U+0009) key.
`static CharacterKey` `VT` Deprecated. The single static instance of `CharacterKey` which represents the vertical tab (U+000B) key.

### Fields inherited from class org.eclipse.ui.keys.Key

`key`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`char` `getCharacter()` Deprecated. Gets the character that this object represents.
`static CharacterKey` `getInstance​(char character)` Deprecated. Creates an instance of `CharacterKey` given a unicode character.

### Methods inherited from class org.eclipse.ui.keys.Key

`compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BS

    public static final CharacterKey BS

Deprecated.
The single static instance of `CharacterKey` which represents the backspace key (U+0008).

#### CR

    public static final CharacterKey CR

Deprecated.
The single static instance of `CharacterKey` which represents the carriage return (U+000D) key

#### DEL

    public static final CharacterKey DEL

Deprecated.
The single static instance of `CharacterKey` which represents the delete (U+007F) key.

#### ESC

    public static final CharacterKey ESC

Deprecated.
The single static instance of `CharacterKey` which represents the escape (U+001B) key.

#### FF

    public static final CharacterKey FF

Deprecated.
The single static instance of `CharacterKey` which represents the form feed (U+000C) key.

#### LF

    public static final CharacterKey LF

Deprecated.
The single static instance of `CharacterKey` which represents the line feed (U+000A) key.

#### NUL

    public static final CharacterKey NUL

Deprecated.
The single static instance of `CharacterKey` which represents the null (U+0000) key.

#### SPACE

    public static final CharacterKey SPACE

Deprecated.
The single static instance of `CharacterKey` which represents the space (U+0020) key.

#### TAB

    public static final CharacterKey TAB

Deprecated.
The single static instance of `CharacterKey` which represents the tab (U+0009) key.

#### VT

    public static final CharacterKey VT

Deprecated.
The single static instance of `CharacterKey` which represents the vertical tab (U+000B) key.

### Method Detail

#### getInstance

    public static CharacterKey getInstance​(char character)

Deprecated.
Creates an instance of `CharacterKey` given a unicode character. This method determines the correct name for the key based on character. Typically, this name is a string of one-character in length equal to the character that this instance represents.

Parameters:
  `character` - the character that the resultant `CharacterKey` instance is to represent.
Returns:
  an instance of `CharacterKey` representing the character.

#### getCharacter

    public char getCharacter()

Deprecated.
Gets the character that this object represents.

Returns:
  the character that this object represents.